<?php
securitycheck($securitycheck);

session_start();

connectdb($CONFIG['dbdbname'], $CONFIG['dbaddress'], $CONFIG['dbuser'], $CONFIG['dbpass']);
$result = mssql_query(sprintf(SELECT_COUNT_ACCOUNT));
$accounts = mssql_fetch_array($result);
$accounts = $accounts[0];

if($CONFIG['maxaccounts']==0) {
	$maxaccounts = 0;
} elseif($accounts>=$CONFIG['maxaccounts']) {
	$maxaccounts = 1;
} else {
	$maxaccounts = 0;
}

if($maxaccounts==0) {

if($CONFIG['registration']==1) {

$error = 0;

echo '
<script>
function isEmailAddress(email) {
	if (email.match(/^([a-zA-Z0-9])+([.a-zA-Z0-9_-])*@([a-zA-Z0-9_-])+(.[a-zA-Z0-9_-]+)+/)) {
		return true;
	} else {
		return false;
	}
}

function isAlphaNumeric(value) {
	if (value.match(/^[a-zA-Z0-9]+$/)) {
		return true;
	} else {
		return false;
	}
}

function checkform() {
	if(register.account.value=="") {
		alert("Por favor ingrese un nombre de usuario.")
		return false;
	}
	if (!isAlphaNumeric(register.account.value)) {
		alert("Ingrese solo numeros o letras en su Usuario!");
		return false;
	}
	if(register.password.value=="") {
		alert("Por favor ingrese una contrasea.")
		return false;
	}
	if (!isAlphaNumeric(register.password.value)) {
		alert("Ingrese solo numeros o letras en su Contrasea!");
		return false;
	}
	if(register.password2.value=="") {
		alert("Retipee su contrasea.")
		return false;
	}
	if(register.email.value=="") {
		alert("Por favor ingrese su email.")
		return false;
	}
	if (!isEmailAddress(register.email.value)) {
		alert("Su email no es una direccion vlida!");
		return false;
	}
	if(register.random.value=="") {
		alert("Por favor ingrese la casilla de verificacion de imagen.")
		return false;
	}
	if (!isAlphaNumeric(register.random.value)) {
		alert("Ingrese solo numeros o letras en la casilla de verificacion de imagen!");
		return false;
	}

/*
	if(register.question1.value=="") {
		alert("Please enter your security question #1.")
		return false;
	}
	if(register.answer1.value=="") {
		alert("Please enter the answer to your security question #1.")
		return false;
	}
	if(register.question2.value=="") {
		alert("Please enter your security question #2.")
		return false;
	}
	if(register.answer2.value=="") {
		alert("Please enter the answer to your security question #2.")
		return false;
	}
*/
return true;
}
</script>
';

echopage('header', 'Register');

$account = $_POST['account'];
$password = $_POST['password'];
$password2 = $_POST['password2'];
$email = $_POST['email'];
$question1 = $_POST['question1'];
$answer1 = $_POST['answer1'];
$question2 = $_POST['question2'];
$answer2 = $_POST['answer2'];

$account = antiinjection($account);
$password = antiinjection($password);
$password2 = antiinjection($password2);
$email = antiinjection($email);

$question1 = antiinjection($question1);
$answer1 = antiinjection($answer1);
$question2 = antiinjection($question2);
$answer2 = antiinjection($answer2);

$postimgverify = $_POST['random'];
$postimgverify = antiinjection($postimgverify);

if($_POST['register']=='register') {

	$error = 2;

	connectdb($CONFIG['dbdbname'], $CONFIG['dbaddress'], $CONFIG['dbuser'], $CONFIG['dbpass']);

	/* Agregado por e2x/*

	/*This trims the random variable of any white space that the user may have unknowingly put in.*/

	if ($_SESSION["new_string"] != $postimgverify){
		echo "La validacion de imagen es erronea.<br>";
		$error = 1;
	}

	/* -fin- */


	echo "<div align=center>";

	$result = mssql_query (sprintf(CHECK_ACCOUNT, $account));
	$rows=mssql_num_rows($result);

	if ($rows>0) {
		echo "La cuenta ya existe.<br>";
		$error = 1;
	}

	if ((strlen($account)<4 || strlen($account)>14)&& $account!="") {
		echo "El largo del usuario tiene que estar entre 4 y 14 caracteres de largo.<br>";
		$error = 1;
	}

	if ((strlen($password)<4 ||strlen($password)>16) && $password!="") {
		echo "La Clave tiene que estar entre 4 y 16 caracteres de largo.<br>";
		$error = 1;
	}
	if ($password!=$password2) {
		echo "El retipeo de la clave es incorrecto.<br>";
		$error = 1;
	}

	$result = mssql_query (sprintf(CHECK_EMAIL, $email));
	$rows=mssql_num_rows($result);

	if ($CONFIG['maxemail']>0) {
		if ($rows>=$CONFIG['maxemail']) {
			echo "La cantidad maxima de cuentas por email es de {$CONFIG['maxemail']}.<br>";
			$error = 1;
		}
	}

	if ((strlen($email)<7 ||strlen($email)>50) && $email!="") {
		echo "El largo del email tiene que estar entre 7 y 50 caracteres de largo.<br>";
		$error = 1;
	}
/*
	if ((strlen($question1)<4 ||strlen($question1)>250) && $question1!="") {
		echo "Security Question #1 length must be 4 to 250 characters long.<br>";
		$error = 1;
	}
	if (strlen($answer1)>16 && $answer1!="") {
		echo "Security Answer #1 length must be 1 to 16 characters long.<br>";
		$error = 1;
	}
	if ((strlen($question2)<4 ||strlen($question2)>250) && $question2!="") {
		echo "Security Question #2 length must be 4 to 250 characters long.<br>";
		$error = 1;
	}
	if (strlen($answer2)>16 && $answer2!="") {
		echo "Security Answer #2 length must be 1 to 16 characters long.<br>";
		$error = 1;
	}
*/

	echo "</div>";

}

if($error<2) {
	echo "
	<form name='register' action='index.php?page=register' method='post' onsubmit='return checkform()' autocomplete='off'>
		<table cellspacing=0 border=0 cellpadding=0 align=center>
			<tr>
				<td width=200>
					Usuario
				</td>
				<td>
					<div align=right>
						<input type=text maxlength=14 name=account value=", $account , ">
					</div>
				</td>
			</tr>
			<tr>
				<td>
					Clave
				</td>
				<td>
					<div align=right>
						<input type=password maxlength=16 name=password>
					</div>
				</td>
			</tr>
			<tr>
				<td>
					Retipeo de Clave
				</td>
				<td>
					<div align=right>
						<input type=password maxlength=16 name=password2>
					</div>
				</td>
			</tr>
			<tr>
				<td>
					Email
				</td>
				<td>
					<div align=right>
						<input type=text maxlength=50 name=email value=", $email,">
					</div>
				</td>
			</tr>

			<tr>
				<td valign=middle>
					Validacion de imagen  <img src=\"verify.php\">
				</td>
				<td>
					<div align=right>
						<input type=text maxlength=6 name=random>
					</div>
				</td>
			</tr>

<!--
			<tr>
				<td>
					Security Question #1
				</td>
				<td>
					<div align=right>
						<input type=text maxlength=250 name=question1>
					</div>
				</td>
			</tr>
			<tr>
				<td>
					Security Answer #1
				</td>
				<td>
					<div align=right>
						<input type=text maxlength=16 name=answer1>
					</div>
				</td>
			</tr>
			<tr>
				<td>
					Security Question #2
				</td>
				<td>
					<div align=right>
						<input type=text maxlength=250 name=question2>
					</div>
				</td>
			</tr>
			<tr>
				<td>
					Security Answer #2
				</td>
				<td>
					<div align=right>
						<input type=text maxlength=16 name=answer2>
					</div>
				</td>
			</tr>
-->
		</table>
		<div align=center>
			<BR>
			<input type=hidden name=register value='register'>
			<input type=submit name=submit value='   Registrar   '>
		</div>
	</form>
	";
}

if($error==2) {

	$ssn1 = mt_rand(1000000,9999999);
	$ssn2 = mt_rand(100000,999999);
	$ssn = $ssn1 . $ssn2;

	srand((double)microtime()*1000000);
	$string1 = md5(rand(0,9999));
	$confirmation = substr($string1, 17, 12);

	$answer1= encrypt($answer1);
	$answer2= encrypt($answer2);

	$enviado = true;
	$paystat = 1;
	/* envianr mail de confirmacion*/
	if($CONFIG['email']==1) {
		$enviado = sendemail($CONFIG['emailsmtp'],$CONFIG['emailuser'],$CONFIG['emailpass'],$CONFIG['emailaddress'], $CONFIG['servername'],"L2 Hispano - Registracion de cuenta", $email, $account, $password, $ssn, "Email enviado", $confirmation, $CONFIG['serveraddress']);
		$paystat = 0;
	}

	if ($enviado)
	{
		$password = encrypt($password);

		mssql_query(sprintf(INSERT_USERACCOUNT, $account,$paystat));
		mssql_query(sprintf(INSERT_SSN, $ssn, $account, $email));
		mssql_query(sprintf(INSERT_USERINFO, $account, $ssn));
		mssql_query(sprintf(INSERT_USERAUTH, $account, $password, $confirmation, $question2, $answer1, $answer2));

		echo "
		<div align=center>
		<strong>La cuenta ah sido creada satisfactoriamente!<br><br>Revise su casilla de mail para instrucciones de como activarla y poder acceder al servidor.</strong><br><br>
		";
	}
	else{
		echo "
		<div align=center>
		<strong>Surgio un error enviando el email, vuelva atras e intente con otra casilla.</strong><br><br>
		";

	}
	if($CONFIG['displayssn']==1) {
		echo "
		A social security number (SSN) has been randomly generated for you.<BR>
		{$ssn}<BR><BR>
		";
	}
	echo '
	</div>
	';

}

echopage('footer', '');

} elseif($CONFIG['registration']==0) {
echopage('header', 'Register');
echo '<center>La registracion esta deshabilitada actualmente.</center>';
echopage('footer', '');
}

} elseif($maxaccounts==1) {
echopage('header', 'Register');
echo "<center>El maximo numero de cuentas de {$CONFIG['maxaccounts']} ah sido alcanzado.</center>";
echopage('footer', '');
}

?>
